Bug 205091 - www/py-satchmo: Reset MAINTAINER'ship, Set DEPRECATED
Summary: www/py-satchmo: Reset MAINTAINER'ship, Set DEPRECATED
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-07 13:57 UTC by Kevin Golding
Modified: 2015-12-15 15:04 UTC (History)
2 users (show)

See Also:


Attachments
Patch to set maintainer to ports@freebsd.org and mark as deprecated due to upstream development (548 bytes, patch)
2015-12-08 11:48 UTC, Kevin Golding
koobs: maintainer-approval+
Details | Diff
As before but also bumps PORTREVISION (648 bytes, patch)
2015-12-08 13:44 UTC, Kevin Golding
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Golding 2015-12-07 13:57:18 UTC
The project www/py-satchmo seems ever more abandoned with each passing week. The main site fell off the internet a long while back however the user group remained active and there was occasional activity on the repo, however in recent postings to the user group it has been essentially dropped by the original team now and nobody appears keen to step up to take over.

I see no purpose in the continued inclusion of this software in the FreeBSD ports framework and suggest it be removed, however should someone wish to take over maintaining the project I am happy to hand it over to them.
Comment 1 VK freebsd_triage 2015-12-08 10:41:18 UTC
Thanks for the submission.

If you would like to yield the maintainership to someone else, please submit a patch that resets the MAINTAINER to ports@freebsd.org. That way the port is basically marked as needing a maintainer and someone might step up.

Also, please consider setting the port as DEPRECATED with an EXPIRATION_DATE, rather than immediately removing, if you think the upstream is unresponsive. That way users of the port might decide to take over. More info here:

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#dads-deprecated
Comment 2 Kevin Golding 2015-12-08 11:48:23 UTC
Created attachment 163983 [details]
Patch to set maintainer to ports@freebsd.org and mark as deprecated due to upstream development

Makes sense, all done. I've given a fairly long expiration to allow time for people to jump on it if wanted.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-08 11:51:03 UTC
Thank you Kevin!
Comment 4 VK freebsd_triage 2015-12-08 13:15:44 UTC
Kevin, 

can you please redo the patch and bump PORTREVISION as well?
Comment 5 Kevin Golding 2015-12-08 13:44:25 UTC
Created attachment 163985 [details]
As before but also bumps PORTREVISION

Sure, easy enough. I thought PORTREVISION was only for if something needed reinstalling.
Comment 6 VK freebsd_triage 2015-12-08 14:10:26 UTC
Thanks. I asked about PORTREVISION because it's an update to metadata as opposed to, say, a correction in style, esp. since the port is being deprecated. I guess that part whether it really needs a bump or not is debatable. :)
Comment 7 VK freebsd_triage 2015-12-09 00:28:03 UTC
Comment on attachment 163985 [details]
As before but also bumps PORTREVISION

I'm obsoleting the portrevised patch. It was my mistake, I apologize. PORTREVISION bumps are needed if the patch changes the package.
Comment 8 commit-hook freebsd_committer 2015-12-15 15:03:51 UTC
A commit references this bug:

Author: miwi
Date: Tue Dec 15 15:03:43 UTC 2015
New revision: 403786
URL: https://svnweb.freebsd.org/changeset/ports/403786

Log:
  - Reset Maintainer
  - Set DEPRECATED

  The project www/py-satchmo seems ever more abandoned with each passing week.
  The main site fell off the internet a long while back however the user group
  remained active and there was occasional activity on the repo, however in recent
  postings to the user group it has been essentially dropped by the original team now
  and nobody appears keen to step up to take over.

  PR:		205091
  Submitted by:	maintainer
  Approved by:	mat (mentor)
  Differential Revision:	D4570

Changes:
  head/www/py-satchmo/Makefile